Package: org.codehaus.groovy.classgen.asm

## [Java] Class MopWriter

- org.codehaus.groovy.classgen.asm.MopWriter

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `def` | `MopWriter(WriterController wc)`
    `void` | `createMopMethods()`
    `static String` | `getMopMethodName(MethodNode method, boolean useThis)` creates a MOP method name from a method
    `static boolean` | `isMopMethod(String methodName)` method to determine if a method is a MOP method.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public def MopWriter(WriterController wc)

    - #### public void createMopMethods()

    - #### public static String getMopMethodName(MethodNode method, boolean useThis)

      creates a MOP method name from a method

      Parameters:
        `method` - the method to be called by the mop method
        `useThis` - if true, then it is a call on "this", "super" else
      Returns:
        the mop method name

    - #### public static boolean isMopMethod(String methodName)

      method to determine if a method is a MOP method. This is done by the method name. If the name starts with "this$" or "super$" but does not contain "$dist$", then it is an MOP method

      Parameters:
        `methodName` - name of the method to test
      Returns:
        true if the method is a MOP method